Skip to main content
GET
List payment schedules

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

account_id
string<uuid>[]
customer_id
string<uuid>[]
description
string[]
description_like
string

Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

from_creation_time
string<date-time>
from_last_updated_time
string<date-time>
from_next_execution_date
string<date-time>
from_next_schedule_date
string<date-time>
id
string<uuid>[]
in_queue
boolean
originating_account
string<uuid>[]
originating_customer
string<uuid>[]
payment_schedule_id
string<uuid>[]
receiving_account
string<uuid>[]
receiving_customer
string<uuid>[]
sort_by
enum<string>[]
Available options:
payment_type:asc,
payment_type:desc,
creation_time:asc,
creation_time:desc
status
enum<string>[]

Status of the payment schedule.

Available options:
ACTIVE,
EXPIRED,
CANCELLED,
ERRORED
tenant
string[]

The id of the tenant containing the resource.

to_creation_time
string<date-time>
to_last_updated_time
string<date-time>
to_next_execution_date
string<date-time>
to_next_schedule_date
string<date-time>

Response

List of payment schedules

payment_schedules
object[]
required

Array of payment schedules.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"